| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Time Destination

Time Destination Definitions and Methods. More...

## Classes
class | unsp__CreateDayScheduleRequest
| Create Day Schedule request. More...
struct | unsp__CreateDayScheduleResult
| Create Day Schedule result. More...
class | unsp__ModifyDayScheduleRequest
| Modify Day Schedule request. More...
struct | unsp__ModifyDayScheduleResult
| Modify Day Schedule result. More...
class | unsp__RemoveDayScheduleRequest
| Remove Day Schedule request. More...
struct | unsp__RemoveDayScheduleResult
| Remove Day Schedule result. More...
class | unsp__QueryDayScheduleRequest
| Query Day Schedule request. More...
class | unsp__DaySchedule
| Day Schedule. More...
class | unsp__ArrayOfDaySchedule
| Array Day Schedules. More...
struct | unsp__DayScheduleResult
| Query Day Schedule result. More...
class | unsp__AssignDayScheduleRequest
| Assign Day Schedule request. More...
struct | unsp__AssignDayScheduleResult
| Assign Day Schedule result. More...
class | unsp__UnassignDayScheduleRequest
| Unassign Day Schedule request. More...
struct | unsp__UnassignDayScheduleResult
| Unassign Day Schedule result. More...
class | unsp__CreatePeriodScheduleRequest
| Create Period Schedule request. More...
struct | unsp__CreatePeriodScheduleResult
| Create Period Schedule result. More...
class | unsp__ModifyPeriodScheduleRequest
| Modify Period Schedule request. More...
struct | unsp__ModifyPeriodScheduleResult
| Modify Period Schedule result. More...
class | unsp__RemovePeriodScheduleRequest
| Remove Period Schedule request. More...
struct | unsp__RemovePeriodScheduleResult
| Remove Period Schedule result. More...
class | unsp__QueryPeriodScheduleRequest
| Query Period Schedule request. More...
class | unsp__PeriodSchedule
| Period Schedule. More...
class | unsp__ArrayOfPeriodSchedule
| Array of Period Schedules. More...
struct | unsp__PeriodScheduleResult
| Query Period Schedule result. More...
class | unsp__QueryWeeklyScheduleRequest
| Query Weekly Schedule request. More...
class | unsp__WeeklySchedule
| Weekly Schedule. More...
class | unsp__ArrayOfWeeklySchedule
| Array of Weekly Schedules. More...
struct | unsp__WeeklyScheduleResult
| Query Weekly Schedule result. More...
class | unsp__TimeDestinationRequest
| Create Time Destination request. More...
struct | unsp__CreateTimeDestinationResult
| Create Time Destination result. More...
class | unsp__ModifyTimeDestinationRequest
| Modify Time Destination request. More...
struct | unsp__ModifyTimeDestinationResult
| Modify Time Destination result. More...
class | unsp__RemoveTimeDestination
| Remove Time Destination request. More...
struct | unsp__RemoveTimeDestinationResult
| Remove Time Destination result. More...
class | unsp__QueryTimeDestinationRequest
| Query Time Destination request. More...
class | unsp__TimeDestination
| Time Destination. More...
class | unsp__ArrayOfTimeDestination
| Array of Time Destinations. More...
struct | unsp__TimeDestinationResult
| Query Time Destination result. More...

## Enumerations
enum | unsp__DayOfWeek { DayIgnored = -3, DayUnused = -1, DayUnassigned = 1, Sun = 2, Mon = 3, Tue = 4, Wed = 5, Thu = 6, Fri = 7, Sat = 8 }
| Days of Week. More...

## Functions
int | unsp__createDaySchedule (unsp__CreateDayScheduleRequest CreateDayScheduleRequest, struct unsp__CreateDayScheduleResult *CreateDayScheduleResult)
| This method is used to provision a specific Day Schedule within a Time Destination. More...
int | unsp__modifyDaySchedule (unsp__ModifyDayScheduleRequest ModifyDayScheduleRequest, struct unsp__ModifyDayScheduleResult *ModifyDayScheduleResult)
| This method is used to modify one or more Day Schedules for a Time Destination. More...
int | unsp__removeDaySchedule (unsp__RemoveDayScheduleRequest RemoveDayScheduleRequest, struct unsp__RemoveDayScheduleResult *RemoveDayScheduleResult)
| This method is used to remove a Day Schedule and all of its Period Schedules, provided it is not assigned to a Time Destination. More...
int | unsp__queryDaySchedule (unsp__QueryDayScheduleRequest QueryDayScheduleRequest, struct unsp__DayScheduleResult *QueryDayScheduleResult)
| This method is used to retrieve and display a Day Schedule. More...
int | unsp__assignDaySchedule (unsp__AssignDayScheduleRequest AssignDayScheduleRequest, struct unsp__AssignDayScheduleResult *AssignDayScheduleResult)
| This method is used to assign one or more Day Schedules to a Time Destination. More...
int | unsp__unassignDaySchedule (unsp__UnassignDayScheduleRequest UnassignDayScheduleRequest, struct unsp__UnassignDayScheduleResult *UnassignDayScheduleResult)
| This method is used to unassign one or more Day Schedules from a Time Destination. More...
int | unsp__createPeriodSchedule (unsp__CreatePeriodScheduleRequest CreatePeriodScheduleRequest, struct unsp__CreatePeriodScheduleResult *CreatePeriodScheduleResult)
| This method is used to create a Period Schedule. More...
int | unsp__modifyPeriodSchedule (unsp__ModifyPeriodScheduleRequest ModifyPeriodScheduleRequest, struct unsp__ModifyPeriodScheduleResult *ModifyPeriodScheduleResult)
| Modifies a Period Schedule. More...
int | unsp__removePeriodSchedule (unsp__RemovePeriodScheduleRequest RemovePeriodScheduleRequest, struct unsp__RemovePeriodScheduleResult *RemovePeriodScheduleResult)
| This method is used to remove a Period Schedule, provided its parent Day Schedule is not explicitly assigned to a Time Destination with the Assign Day Schedule method. More...
int | unsp__queryPeriodSchedule (unsp__QueryPeriodScheduleRequest QueryPeriodScheduleRequest, struct unsp__PeriodScheduleResult *QueryPeriodScheduleResult)
| This method is used to retrieve and display a Period Schedule. More...
int | unsp__queryWeeklySchedule (unsp__QueryWeeklyScheduleRequest QueryWeeklyScheduleRequest, struct unsp__WeeklyScheduleResult *QueryWeeklyScheduleResult)
| This method is used to retrieve and display a Weekly Schedule. More...
int | unsp__createTimeDestination (unsp__TimeDestinationRequest CreateTimeDestinationRequest, struct unsp__CreateTimeDestinationResult *CreateTimeDestinationResult)
| Creates a Time Destination. More...
int | unsp__removeTimeDestination (unsp__RemoveTimeDestination RemoveTimeDestinationRequest, struct unsp__RemoveTimeDestinationResult *RemoveTimeDestinationResult)
| Removes a Time Destination. More...
int | unsp__modifyTimeDestination (unsp__ModifyTimeDestinationRequest ModifyTimeDestinationRequest, struct unsp__ModifyTimeDestinationResult *ModifyTimeDestinationResult)
| Modifies a Time Destination. More...
int | unsp__queryTimeDestination (unsp__QueryTimeDestinationRequest QueryTimeDestinationRequest, struct unsp__TimeDestinationResult *QueryTimeDestinationResult)
| This method is used to retrieve and display a Time Destination. More...

## Detailed Description

Time Destination Definitions and Methods.

The Time-of-Day routing allows the routing of calls to the same E.164 Destination Code via different routes depending on the time of day and the day of the week. The administrator can create Time-of-Day destinations and use them in the E.164 code table as destinations. A Time- of-day destination can have one or more day schedules (for example, a weekday schedule, a weekend schedule, and a holiday schedule) with each day of the week being associated with its own schedule.

Time-of-Day based routing allows routing calls to E.164 Destination Codes via different routes depending on the time of day and the day of the week. The administrator can create Time Destinations and use them in E.164 Codes as destinations. A Time Destination can have one or more day schedules (for example, weekday schedule, weekend schedule and holiday schedule), with each day of the week associated with a day schedule.

After creating a Time Destination, the administrator must create at least one day schedule. Then, the administrator adds at least one period schedule to each existing Day Schedule. Finally, the Day Schedule(s) are assigned to each day of the week in the subscriber Weekly Schedule for the Time Destination. When creating a new Time Destination, the administrator needs to assign at least one day schedule in its weekly schedule. A day schedule may comprise of one or more Time Periods. The day schedule is considered to be complete if every minute of the day belongs to exactly one Time Period. Time Periods of a day schedule must not overlap.

## Enumeration Type Documentation

## ◆ unsp__DayOfWeek

enum unsp__DayOfWeek

Days of Week.

Enumerator
DayIgnored | Ignored.
DayUnused | Unused.
DayUnassigned | Unassigned.
Sun | Sunday.
Mon | Monday.
Tue | Tuesday.
Wed | Wednesday.
Thu | Thursday.
Fri | Friday.
Sat | Saturday.

## Function Documentation

## ◆ unsp__assignDaySchedule()

unsp__assignDaySchedule | ( | unsp__AssignDayScheduleRequest | AssignDayScheduleRequest,
|  | struct unsp__AssignDayScheduleResult * | AssignDayScheduleResult
| ) |  |

This method is used to assign one or more Day Schedules to a Time Destination.

Note that any day schedule that is assigned must be fully allocated, meaning that it must contain period schedules that cover exactly 24 hours (1440 minutes).

Parameters

  AssignDayScheduleRequest | API request
  AssignDayScheduleResult | API result MP2 command: AssignDaySchedule [Attributes]

## ◆ unsp__createDaySchedule()

unsp__createDaySchedule | ( | unsp__CreateDayScheduleRequest | CreateDayScheduleRequest,
|  | struct unsp__CreateDayScheduleResult * | CreateDayScheduleResult
| ) |  |

This method is used to provision a specific Day Schedule within a Time Destination.

The schedules assigned within the time destination should cover one whole week. Note that the name of the Day Schedule itself need not be unique in the system - the day schedule is uniquely identified by the combination of Day Schedule and Time Destination. Note that this operation does not assign a Day Schedule to the Time Destination, it only creates it and uniquely identifies it within the Time Destination so that it can be assigned using the AssignDaySchedule operation.

Parameters

  CreateDayScheduleRequest | API request
  CreateDayScheduleResult | API result MP2 command: DaySchedule [Attributes]

## ◆ unsp__createPeriodSchedule()

unsp__createPeriodSchedule | ( | unsp__CreatePeriodScheduleRequest | CreatePeriodScheduleRequest,
|  | struct unsp__CreatePeriodScheduleResult * | CreatePeriodScheduleResult
| ) |  |

This method is used to create a Period Schedule.

The Start and Stop Times for a set of Period Schedules created for a particular Day Schedule should cover the complete 24 hour day and cannot overlap. For example, PS1 can be created with StartTime 00:00 and StopTime 13:00. Then PS2 could be created for 13:01-16:00 and PS3 for 16:01-23:59. A PS2 for 12:00-16:00 would not be allowed.

Parameters

  CreatePeriodScheduleRequest | API request
  CreatePeriodScheduleResult | API result MP2 command: PeriodSchedule [Attributes]

## ◆ unsp__createTimeDestination()

unsp__createTimeDestination | ( | unsp__TimeDestinationRequest | CreateTimeDestinationRequest,
|  | struct unsp__CreateTimeDestinationResult * | CreateTimeDestinationResult
| ) |  |

Creates a Time Destination.

The following relationships exist among Time Destinations and their related objects: A Time Destination is created first, then one or more Day Schedules are created within a particular Time Destination. A Period Schedule is a period of time within a particular day, so a Day Schedule is made up of a set of Period Schedules. When a Day Schedule is full of Period Schedules such that the periods specified cover the entire day, the Day Schedule is assigned to a particular day of the week. Day Schedules can later be unassigned or modified if desired. If a Day Schedule is not assigned, it can be removed.

Parameters

  CreateTimeDestinationRequest | API request
  CreateTimeDestinationResult | API result MP2 command: TimeDestination [Attributes]

## ◆ unsp__modifyDaySchedule()

unsp__modifyDaySchedule | ( | unsp__ModifyDayScheduleRequest | ModifyDayScheduleRequest,
|  | struct unsp__ModifyDayScheduleResult * | ModifyDayScheduleResult
| ) |  |

This method is used to modify one or more Day Schedules for a Time Destination.

In other words, it changes the existing assignment for each specified day from one Day Schedule to another, accomplishing the same functionality that could be done by using Unassign Day Schedule followed by Assign Day Schedule.

Parameters

  ModifyDayScheduleRequest | API request
  ModifyDayScheduleResult | API result MP2 command: ModifyDaySchedule [Attributes]

## ◆ unsp__modifyPeriodSchedule()

unsp__modifyPeriodSchedule | ( | unsp__ModifyPeriodScheduleRequest | ModifyPeriodScheduleRequest,
|  | struct unsp__ModifyPeriodScheduleResult * | ModifyPeriodScheduleResult
| ) |  |

Modifies a Period Schedule.

Parameters

  ModifyPeriodScheduleRequest | API request
  ModifyPeriodScheduleResult | API result MP2 command: ModifyPeriodSchedule [Attributes]

## ◆ unsp__modifyTimeDestination()

unsp__modifyTimeDestination | ( | unsp__ModifyTimeDestinationRequest | ModifyTimeDestinationRequest,
|  | struct unsp__ModifyTimeDestinationResult * | ModifyTimeDestinationResult
| ) |  |

Modifies a Time Destination.

Parameters

  ModifyTimeDestinationRequest | API request
  ModifyTimeDestinationResult | API result

## ◆ unsp__queryDaySchedule()

unsp__queryDaySchedule | ( | unsp__QueryDayScheduleRequest | QueryDayScheduleRequest,
|  | struct unsp__DayScheduleResult * | QueryDayScheduleResult
| ) |  |

This method is used to retrieve and display a Day Schedule.

If the Name parameter is supplied, only that Day Schedule is retrieved; otherwise the Day Schedules are retrieved. Likewise, if the Time Destination parameter is specified, only the Day Schedules for that Time Destination are retrieved; if not, the complete list of existing Day Schedules is retrieved.

Parameters

  QueryDayScheduleRequest | API request
  QueryDayScheduleResult | API result

## ◆ unsp__queryPeriodSchedule()

unsp__queryPeriodSchedule | ( | unsp__QueryPeriodScheduleRequest | QueryPeriodScheduleRequest,
|  | struct unsp__PeriodScheduleResult * | QueryPeriodScheduleResult
| ) |  |

This method is used to retrieve and display a Period Schedule.

If the Time Destination is given and/or the Day Schedule is given, they act as a filter on the set of Period Schedules that are retrieved. Note that if a specific Period Schedule object is identified by the combination of the Day Schedule and the StartTime, the Day Schedule is NOT used as a filter.

Parameters

  QueryPeriodScheduleRequest | API request
  QueryPeriodScheduleResult | API result

## ◆ unsp__queryTimeDestination()

unsp__queryTimeDestination | ( | unsp__QueryTimeDestinationRequest | QueryTimeDestinationRequest,
|  | struct unsp__TimeDestinationResult * | QueryTimeDestinationResult
| ) |  |

This method is used to retrieve and display a Time Destination.

If the Name parameter is supplied, only that Time Destination is retrieved; otherwise the complete list of existing Time Destination is retrieved.

Parameters

  QueryTimeDestinationRequest | API request
  QueryTimeDestinationResult | API result

## ◆ unsp__queryWeeklySchedule()

unsp__queryWeeklySchedule | ( | unsp__QueryWeeklyScheduleRequest | QueryWeeklyScheduleRequest,
|  | struct unsp__WeeklyScheduleResult * | QueryWeeklyScheduleResult
| ) |  |

This method is used to retrieve and display a Weekly Schedule.

The Time Destination Name must be provided, and the day of the week may be provided as a filter option. The response consists of an array of Weekly Schedule elements, each of which contains the Time Destination, the day of the week, and the Day Schedule Name. Note that Day Schedules may appear more than once in a Weekly Schedule, in particular when the Day Schedule is assigned to more than one day for a Time Destination.

Parameters

  QueryWeeklyScheduleRequest | API request
  QueryWeeklyScheduleResult | API result

## ◆ unsp__removeDaySchedule()

unsp__removeDaySchedule | ( | unsp__RemoveDayScheduleRequest | RemoveDayScheduleRequest,
|  | struct unsp__RemoveDayScheduleResult * | RemoveDayScheduleResult
| ) |  |

This method is used to remove a Day Schedule and all of its Period Schedules, provided it is not assigned to a Time Destination.

Note that this operation completely removes the Day Schedule; it will no longer be available for future assignment.

Parameters

  RemoveDayScheduleRequest | API request
  RemoveDayScheduleResult | API result MP2 command: RemoveDaySchedule [Attributes]

## ◆ unsp__removePeriodSchedule()

unsp__removePeriodSchedule | ( | unsp__RemovePeriodScheduleRequest | RemovePeriodScheduleRequest,
|  | struct unsp__RemovePeriodScheduleResult * | RemovePeriodScheduleResult
| ) |  |

This method is used to remove a Period Schedule, provided its parent Day Schedule is not explicitly assigned to a Time Destination with the Assign Day Schedule method.

Parameters

  RemovePeriodScheduleRequest | API request
  RemovePeriodScheduleResult | API result MP2 command: RemovePeriodSchedule [Attributes]

## ◆ unsp__removeTimeDestination()

unsp__removeTimeDestination | ( | unsp__RemoveTimeDestination | RemoveTimeDestinationRequest,
|  | struct unsp__RemoveTimeDestinationResult * | RemoveTimeDestinationResult
| ) |  |

Removes a Time Destination.

Parameters

  RemoveTimeDestinationRequest | API request
  RemoveTimeDestinationResult | API result MP2 command: RemoveTimeDestination [Attributes]

## ◆ unsp__unassignDaySchedule()

unsp__unassignDaySchedule | ( | unsp__UnassignDayScheduleRequest | UnassignDayScheduleRequest,
|  | struct unsp__UnassignDayScheduleResult * | UnassignDayScheduleResult
| ) |  |

This method is used to unassign one or more Day Schedules from a Time Destination.

Note that this operation only unassigns the Day Schedule, but does not remove itit will still be available within the Time Destination for future assignments.

Parameters

  UnassignDayScheduleRequest | API request
  UnassignDayScheduleResult | API result MP2 command: UnassignDaySchedule [Attributes]